on initializeDemo
  global pauseSprite, gPaused, gContinued
  set pauseSprite to 47
  set gPaused to 0
  set gContinued to 0
end

on waitSound whichChannel
  repeat while soundBusy(whichChannel) and not (the mouseDown)
    updateStage()
  end repeat
  checkPassClick()
end

on waitVideo whichSprite
  set the movieTime of sprite whichSprite to 0
  set the movieRate of sprite whichSprite to 1
  repeat while (the movieRate of sprite whichSprite > 0) and not (the mouseDown) and not (the movieTime of sprite whichSprite >= the duration of cast the castNum of sprite whichSprite)
    updateStage()
  end repeat
  checkPassClick()
end

on waitTicks howMany
  set startTicks to the ticks
  repeat while the ticks < (startTicks + howMany)
    updateStage()
  end repeat
end

on checkPassClick
  global gPaused, gContinued, pauseSprite
  if gPaused then
    if the clickOn = pauseSprite then
      continueDemo()
    end if
  else
    if gContinued then
      if the clickOn = pauseSprite then
        pauseDemo()
      end if
    end if
  end if
end
